import { Template } from '../../../core/models/template.model';
import { DiagramService } from './diagram.service';
import { DataElementCreationBaseService } from './data-element-creation-base-service';
import { ArrayCheckerService } from './array-checker.service';
import { DecisionPointsCreationService } from './decision-points-creation.service';
export declare class TemplateManagerService {
    private diagramService;
    private elememtcreationService;
    private arrayCheckerService;
    private decisionPointsCreationService;
    private endPointXMLString;
    private stringParser;
    constructor(diagramService: DiagramService, elememtcreationService: DataElementCreationBaseService[], arrayCheckerService: ArrayCheckerService, decisionPointsCreationService: DecisionPointsCreationService);
    getTemplate(templateContent: string): Template;
    private getTemplatePartial(templatePartialJSON);
    private returnEndPointContents(content, startToken, endToken);
    private returnTemplatePartials(templatePartialArray);
    private returnEndpoints(xmlData);
    private parseToJson(xmlData);
    private getMetaData(metadataJSON);
    private returnDataElement(elementType, dataElementsJSON);
    private getDataElements(dataElementsJSON);
}
